===============================================================================
                               VERSION 1.54
===============================================================================

- Fixed : Negative amount of money being deposited in bank accounts.
- Fixed : A problem with selecting the Defcon world map or not.
- Fixed : An exit crash involving Gateways.
- Fixed : Remaining crashes due to IRC.

- Added : 'Retire agent' option to the login screen.

===============================================================================
                               VERSION 1.53
===============================================================================

- Fixed : Problems with buying gateway securities.
- Fixed : Linux Installer to include the new font libraries.

===============================================================================
                               VERSION 1.52
===============================================================================

- Fixed : LANs with multiple radio transmitters having the same frequency.
- Fixed : A crash and a memory leak with IRC.
- Fixed : Font problems on Linux.

- Changed : Show a warning when buying a gateway security and there is no free 
            memory to put the software driver.
- Changed : Resize the gateway screen display to screen size.

===============================================================================
                               VERSION 1.51
===============================================================================

- Fixed : Problems with DevCd mods in full screen.
- Fixed : Crash with custom Gateways.
- Fixed : Scrollbars mouse drag problems.
- Fixed : Problem with overlapping IRC Hud on agent logging in.

- Added : New agents now use the defcon world map. (an option was added to use 
          the standard world map)

- Changed : Font rendering on Linux.
  
- Note : Saved games from this version will be incompatible with older versions
         of Uplink.

===============================================================================
                               VERSION 1.50
===============================================================================

- Fixed : Crashes with custom gateways.

- Changed : Font rendering library on Linux.

- Note : Saved games from this version will be incompatible with older versions
         of Uplink.

===============================================================================
                               VERSION 1.49
===============================================================================

- Fixed : Some IRC crashes.

- Added : Save the world map coloring option for each location.

- Changed : 'options' file is now encoded in Redshirt 2.
- Changed : Saved games are now encoded in Redshirt 2. If the hash calculation 
            fails, it will try to load the last good version of the saved game.

- Note : Saved games from this version will be incompatible with older versions
         of Uplink.

===============================================================================
                               VERSION 1.48
===============================================================================

- Fixed : Crash problems with dead agent computer.
- Fixed : Crash on the Academic Database or the Social Security Database when 
          searching a name that is not in the record.
- Fixed : Problem with the close button on the Protovision server.
- Fixed : Alt-tabing crashes by not painting the screen when minimized.
- Fixed : Problems with custom gateways.
- Fixed : Crash in the contact screen if the mission is already taken.
- Fixed : Crashes at exit.
- Fixed : Crash due to over limit mission difficulty.
- Fixed : Crash with the Dictionary Hacker.

- Added : File Copier, File Deleter, Decrypter, Log Deleter, Log Undeleter, 
          don't unstick from the mouse when used.
- Added : An option to show servers on the world map in a different color 
          ( click the visibility button on the servers screen to cycle between 
		    visible, visible and colored, not visible ).
- Added : An option for faster animation speed.

===============================================================================
                               VERSION 1.47
===============================================================================

- Fixed : Crash in the tutorial involving the 'File Copier'.
- Fixed : Crashes involving running a screen on a computer different then the 
          one currently connected to ( easy to trigger when using the dialler).
- Fixed : Crash related to plot mission "Revelation Launch due soon?".
- Fixed : Crash related to invalid IPs due to log modifier.
- Fixed : World map locations in water.
- Fixed : World map cities placements on agent creation.

- Changed : Added Microsoft opengl32.dll to the installation for people having 
            problems with their graphic card provided one ( see readme.txt ).

===============================================================================
                               VERSION 1.46
===============================================================================

- Fixed : Impossible to complete some steal all files missions.
- Fixed : Can't buy HUD Upgrade if there is no free space the memory bank.

===============================================================================
                               VERSION 1.45
===============================================================================

- Fixed : Problem of getting files _not_ destroyed message when there is no 
          file on the server.
- Fixed : A crash in the software menu when there is no software to run.
- Fixed : A crash when deleting a file being currently decrypted.
- Fixed : Selected custom theme not loading.
- Fixed : Defrag problems when the agent memory databank is modified and 
          defrag is running.
- Fixed : A crash when modifying build-in account on the Academic, 
          Social Security or Criminal databases.

- Changed : Save games are now saved to a temp file, which means that if Uplink 
            crash on game saving it should reload the last good save game.
- Changed : Save games to help reduce user file corruption.
- Changed : Blend image on LAN, Status and Analyser HUD menu.

- Note : Saved games from this version will be incompatible with older versions
         of Uplink.

===============================================================================
                               VERSION 1.44
===============================================================================

- Fixed : Misplacement of the IRC window.
- Fixed : Crash in IRC related to text button word wrapping.

- Changed : Sound library from mikmod to SDL_mixer.
- Changed : Default resolution bumped to 1024x768.

===============================================================================
                               VERSION 1.43
===============================================================================

- Fixed : UplinkSupport.exe start up crash caused by missing mfc80.dll 
          dependency.

===============================================================================
                               VERSION 1.42
===============================================================================

- Fixed : A crash when pressing return on the Contact Screen.
- Fixed : Start up crash problems related to invalid native resolution 
          (ex: 800x600 is not a native resolution on LCD).
- Fixed : Fix some graphic inconsistencies when playing in a resolution with a 
          ratio different of 1.33 .
- Fixed : A crash when using the password cracker on invalid account names.
- Fixed : A crash when clicking on the program start menu and there is no
          programs to run.
- Fixed : A crash on start up when loading a font and the file was not found.
- Fixed : Start up crash problems related to screen depth.

===============================================================================
                               VERSION 1.41
===============================================================================

- Fixed : Fix crashes with some irregular command line options.

- Changed : Trying to be more gentle on the CPU by doing bigger pause.

===============================================================================
                               VERSION 1.4
===============================================================================

- Fixed : Fix a potential graphic crash occuring on agent load and when seeing 
          the dialling box.
- Fixed : Crashes and inconsistencies when dialing to a new server and the log 
          or file screen is opened on the currently connected server.
- Fixed : Slowdown when using the trace tracker when connected to a server.
- Fixed : A crash when using an existing account name (different then admin, 
          readonly, ...) with the password breaker.
- Fixed : A crash with the update of security systems.
- Fixed : Inconsistencies in HUD screens (memory, sendmail, lan, irc, mission, 
          email).
- Fixed : Problems with overlapping large world map.

- Added : Show a dialog when an agent is loaded and Uplink can't find the 
          custom gateway it's using.

- Changed : Use an updated version of SDL.

- Support : In the event of a crash, the system information will be sent to 
            Introversion for debugging purposes, with the user's consent. The 
            user email will also be asked.

===============================================================================
                               VERSION 1.39
===============================================================================

- Removed : Uplink version image on start up screen.

===============================================================================
                               VERSION 1.38
===============================================================================

- Fixed : Revelation flashing red squares on the world map didn't move when the 
          map was scrolled.
- Fixed : Silent voice sample ( also caused start up slowness ).
- Fixed : Slowness when displaying the world map.
- Fixed : Problems with servers where the player had multiple access codes.
- Fixed : An inconsistency in the name displayed when viewing accounts details 
          in the admin section of banks.
- Fixed : Problems with the loan screen, it always displayed the max loan of 
          the player.
- Fixed : An inconsistency in the size of HUD Upgrades, since they take no 
          memory space they should display 0 as size.
- Fixed : All LAN tools progress graphic overflow.
- Fixed : Bank accounts owned by NPCs having a negative loan amount.
- Fixed : A problem with server going _crazy_ on the world map when a mission 
          was finished or a email was deleted.

===============================================================================
                               VERSION 1.37
===============================================================================

- Fixed : Inconsistent Revelation program size.
- Fixed : IRC better handle nickname changes and errors.
- Fixed : A problem with invalid access code and related crash issues.
- Fixed : SaveItForTheJury reply problem if too much time is taken to reply to 
          the mission email.
- Fixed : A crash when using custom gateways.

===============================================================================
                               VERSION 1.36
===============================================================================

- Fixed : LAN modem being 'Uninitialised'.
- Fixed : A voice sample has the wrong frequency thanks to 
          Oliver 'AgentX' Grubin.

===============================================================================
                               VERSION 1.35
===============================================================================

- Fixed : A possible crash in name generator occurring at exit.
- Fixed : Bank account creation permitting two accounts with the same username.
- Fixed : Time freezing and unclickable buttons on computers running for 
          several weeks.
- Fixed : Tutorial 1 stopping when the "Welcome to Uplink" email is deleted.
- Fixed : Overlapping mission badges on the status screen.
- Fixed : LAN Spoof progress graphic overflow.
- Fixed : Slow down when clicking disconnect ( related to the display of the
          links screen ).
- Fixed : Servers access level not shown on the world map, should also fix
          shorther trace time.
- Fixed : Decypher unpickability thanks to code from Ashley 'NeoThermic' Pinner.
- Fixed : A crash when adding interest on loans.

- Changed : Randomize files placement generated by missions.
- Changed : A screenshot can be saved by pressing F9 ( can also be done with 
            the backtick (`) button on some keyboard ).
- Changed : Can now pay fine from any bank account.
- Changed : Can now click on password on login screen with password only.
- Changed : Wording of some game text.

===============================================================================
                               VERSION 1.34
===============================================================================

- Fixed : Some potential crashes related to incorrect string handling.
- Fixed : There were reports of the motion sensor remaining red after players
          nuked their gateways. This should no longer happen, though we were
          unable to reproduce the bug, so this requires testing from users
          experiencing the problem.
- Fixed : Tutorial mission did not register when the player purchased the Trace
          Tracker 2.0 if they already owned Trace Tracker 1.0
- Fixed : Some potential memory leaks.
- Fixed : A crash in the console screen.
- Fixed : An antialiasing problem. The fix could cause some slowdown.
- Fixed : A crash upon deletion of a log after previously deleting and
          undeleting it.

- Changed : Multi-monitor support disabled.

===============================================================================
                               VERSION 1.33
===============================================================================

- Fixed : Crash when another agent with no criminal record is caught.
- Fixed : Crash related to bank robbery.
- Fixed : A number of potential crashes.
- Fixed : Better loading and saving routines should mean that agent files are
          handled less often corrupted without warning.
- Fixed : Some possible problems with refreshing the graphics after another
          window has been displayed over Uplink. This will need further testing
          on different machines, since problems are heavily dependant upon
          system hardware and driver configuration.
- Fixed : Graphical glitch where a security bypass would remain visible even
          when the connection analyser is closed.
- Fixed : A number of actual and potential memory leaks.

- Changed : A plot error will no longer crash Uplink, but will send an email to
            the player. This is generally a problem of using old, incompatible
            agent files.

- Support : In the event of a crash, the currently loaded agent file will be
            sent to Introversion for debugging purposes, with the user's
            consent.

===============================================================================
                               VERSION 1.32
===============================================================================

- Fixed : Stack could be corrupted by overly long input of agent name, password
          or banking details.
- Fixed : Bug in voice analyser.
- Fixed : "Make a donation" mission didn't complete if you destroyed your
          tracks.
- Fixed : Better scrollbars for log and file server screens.
- Fixed : IRC client.

- Changed : World map connections are remembered between sessions
.
- Changed : Servers associated with pending missions and emails are highlighed
            green on the world map for easier location.
- Changed : File copier and deleter stay open after use.
- Changed : Wording of some game text.
- Changed : Small interface modifications.

- Note : Saved games from this version will be incompatible with older versions
         of Uplink. 1.31x games can be loaded, but will be overwritten in the
         new format.

===============================================================================
                               VERSION 1.314
===============================================================================

- Beta : See information for 1.31b

- Fixed : Dead or jailed people don't answer their phones.
- Fixed : Numeric keypad buttons work again.
- Fixed : Several fatal errors.
- Fixed : World map text is no longer behind zoom control.
- Fixed : A fine can be paid from any bank account.
- Fixed : Advance payment for a mission remembered between sessions.
- Fixed : A number of memory leaks.

- Changed : Gateway mods are sorted.
- Changed : Uplink version number appears in the bottom right corner of the
            main menu.

===============================================================================
                               VERSION 1.31c
===============================================================================

- Beta : See information for 1.31b

- Fixed : Crash when negotiating for a mission in 1.31b
- Fixed : Processor upgrades should not cause crashes
- Fixed : A significant number of unsafe deallocations, which were causing
          crashes in 1.31b because of the more restrictive approach we are
          taking to identify possible causes of problems.
- Fixed : It is no longer possible to add or remove links from the map whilst
          the large map is showing. This would cause the map locations to jump
          around erraticly.
- Fixed : Map locations should now have a very low probability of overlapping
          thanks to code from François Gagné.
- Fixed : It is now possible to remove nodes from a connection chain by
          clicking on them when they are already in the chain, thanks to code
          from François Gagné.

- Added : A screenshot can be saved by pressing the backtick (`) button, which
          is found left of "1" on most PC keyboards. At the moment, only one
          screenshot can be saved at a time and it is overwritten whenever a
          new one is taken. It is saved as the "users/screenshot.bmp"

- Changed : Should no longer hog the CPU, as requested by some users. If this
            causes jerkiness for testers then it will be removed or made
            optional.

===============================================================================
                               VERSION 1.31b
===============================================================================

- Beta : This is strictly an beta quality release, to be used for testing only
- Beta : Beta testers can use this version for a limited time without having
         bought the game.

- Note : The game will crash if you load old (pre-1.31) saved games due to new
         gameplay (LAN systems). Please register new agents.

- Fixed : Disallowed editting of admin criminal record, which previously caused
          a crash.
- Fixed : Crash while destroying logs.
- Fixed : Updating of software market to reflect your money, previously needing
          a mouseover of some items.
- Fixed : A number of minor memory leaks.
- Fixed : Loading a connection which contains hidden nodes on the world map no
          longer causes the locations to jump around forever. The locations are
          added back into the map correctly.

- Support : Added the facility to send user information so that we can contact
            you should you encounter a fatal error. Please edit the file called
            "userinfo.txt" in the Uplink directory with contact details if you
            are happy to be contacted. They will not be used for any other
            purpose.


===============================================================================
                               VERSION 1.31a
===============================================================================

- Note : This is strictly an alpha quality release, to be used for testing only

- Changed : Using SDL for the graphics (previously glut) on Windows
- Changed : Game should now work at a larger range of resolutions
- Changed : Compiled using VS 2005. Now requires VC 2005 runtime files and will
            likely not work on Windows versions before Win2K

- New support : Should now send debugging information to Introversion in the
                event of a crash (at user discretion). Please make use of this
                functionality to help us improve the game

===============================================================================
                               VERSION 1.31
===============================================================================

- Fixed : Modems on LAN systems stopped working.  They would crash the game if
          you moved the mouse over them on the map, or tried to connect to 
          them.
- Fixed : Shouldn't crash if can't find a sound device.

===============================================================================
                               VERSION 1.3
===============================================================================

- Changed : Probing of LAN systems can now only be done if you have a 
            connection to them.  You cannot Probe an 'island' LAN system.
- Changed : Uplink will now search for new LANs in data/lans everytime you
            start a new game OR load a game.  Newly found LANs will be added
            to your existing game - there is no longer any need to start a new
            user to load new LAN files.
- Changed : Map scrolling speed now resolution independent.
- Changed : Loading/Saving data should be much faster.

- Fixed : The ShinyHammer special mission told you to attack the Arunmor LAN,
          but checked success against the Arunmor Central Mainframe

- Fixed : Problems with the Software Sales menu causes the Voice Analyser to
          be invisible in 640x480
- Fixed : Spelling mistakes : IEE Acreditation
- Fixed : long standing Uplink bug where some Steal-File missions would
          occasionally ask you to steal a file that was encrypted at greater
          than level 7 (the maximum decrypter strength).
- Fixed : Bug in the News screen which prevented you from reading the full
          text of a news article
- Fixed : The default IRC channel was set to #uplink-test instead of #uplink
- Fixed : Sample Local Area Network should not be targetted for missions
- Fixed : Really nasty bug that would sometimes cause the game to crash or your
          userfile to become unloadable if you bounced a connection through
          multiple computers with the same name - eg "Arc Access Terminal"

- Linux : * Fixed theming
          * DOS text files are now read in properly (this affected
            custom LANs and gateways)
	      * Save games are now stored in ~/.uplink
	      * Graphics backend is now OpenGL/SDL (previously used glut)
	      * Sound backend is now a patched SDL_mixer to allow 
	        playing of UNI files. (see SDL_mixer.patch for changes)


===============================================================================
                               VERSION 1.2
===============================================================================

- New gameplay : LAN systems.
        These are the hardest systems to break - much harder than the 
        existing Central Mainframe systems.
        I wouldn't want to spoil this for you, but it's a big new feature.
        You need to be pretty advanced before you go near these.

- New software :    LAN View (HUD Upgrade)
                    LAN Probe
                    LAN Scan
                    LAN Spoof
                    LAN Force


- New Mod stuff :   New gateways can now be added without having to hack 
                    gatewaydefs.txt.  All that is needed is a text file in 
                    data/gateways and a couple of images.  Any number of new
                    gateways can be added.
                    See mods.txt for more information.
                    
- New Mod stuff :   Uplink now supports Skins.  New skins can be added by 
                    creating a new folder containing a text file titled 
                    "theme.txt", and all replacement graphics that are to be 
                    used.  The theme.txt file can include colour information 
                    as well.  Themes can be selected from a menu in the 
                    options screen.                    
                    See mods.txt for more information.

- New Mod stuff :   New LANs can be created and added to the game.
                    All that is needed is a text file in data/lans.
                    See mods.txt for more information.

- Added : New HUD Upgrade : IRC Client
- Added : New scrollbars that work much better than the old ones
- Added : Ability to zoom and scroll the main map
- Added : Support for higher resolutions. The recommended size is now 800x600.
- Added : Defrag software tool
- Added : Patch detection and release notes when run for first time

- Changed : Deleting files or logs from the console is now much more verbose.
- Changed : You now have to click twice to abandon a mission.

- Fixed : Uplink would lock up sometimes on a certain date, every time. 
          Caused sometimes when ALL agents were dead or in jail. 
          Often occured after the "Mole" secret mission.
- Fixed : chris@introversion.co.uk was getting overloaded with bug reports
- Fixed : world.dat is not closed properly at one point
- Fixed : It was possible to delete Internic from the links screen - 
          effectively ending the game for the player
- Fixed : Your score goes very high if you have hacked banks due to the money.
          The maximum score available for money is now 100,000 points, 
          available if you have 10 Million credits or more.

- Fixed : Spelling mistakes : dissavow, veryify, analysys
- Fixed : Uplink would crash upon launch if its install directory was longer 
          than 64 characters long.  Where the hell did I learn to code.
- Fixed : On the console, if you typed 'cd blablabla' it would crash, 
          so long as the directory name had more than 8 characters in it.
- Fixed : Sometimes a "ghost" email icon would be left on the screen, 
          which would crash the game when clicked on.  
          The same occured (less frequently) for "ghost" missions.
- Fixed : Crashes would often occur if all computers were disabled - for 
          example during an outbreak of Revelation.
- Fixed : Crashes often occured when replying to a Steal-All-Files mission.
- Fixed : Crash bug that would occur when changing a log type to 
          TransferTO or TransferFROM
- Fixed : Destroy-All-Files mission would sometimes target an empty system.
- Fixed : Uplink Corporation will now stop you from buying Modems if your
          Gateway bandwidth would make the purchase pointless.  eg buying a 
          5gq/s modem for a gateway with a bandwidth of 2gq/s.
	


===============================================================================
                               VERSION 1.01
===============================================================================


- Fixed : Uplink sometimes refuses to load a save game file, 
          and simply crashes during the attempt.  Caused by incorrectly 
          saved log file data after using a V4 log deleter.  
          Often occurs after gateway upgrade.  
          Regular Forum members will know this bug as "The Log Deleter V4 bug".

- Fixed : If you delete a file whilst copying it, Uplink crashes.
- Fixed : If you run two file deleters on the same file, Uplink crashes.
- Fixed : Minor problem with the "Mole" special mission <snip - spoilers>
- Fixed : Problems sometimes caused by modifying your own criminal record


